# Class FirebaseAppCheckHttpInterceptor

#### Implements

- HttpInterceptor

- Defined in firebase-app-check.http-interceptor.ts:27

#####
Index

### Constructors

constructor

### Properties

appCheck

### Methods

intercept

##
Constructors

### constructor

- new FirebaseAppCheckHttpInterceptor(
  appCheck: AppCheck,
  urlPattern: RegExp | RegExp[],
  enabled: null | boolean,
  ): FirebaseAppCheckHttpInterceptor

  #### Parameters

  - appCheck: AppCheck
  - urlPattern: RegExp | RegExp[]
  - enabled: null | boolean

  #### Returns FirebaseAppCheckHttpInterceptor

  - Defined in firebase-app-check.http-interceptor.ts:31

##
Properties

### `Readonly` appCheck

appCheck: AppCheck

- Defined in firebase-app-check.http-interceptor.ts:32

##
Methods

### intercept

- intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>

  Identifies and handles a given HTTP request.

  #### Parameters

  - req: HttpRequest<any>

    The outgoing request object to handle.

  - next: HttpHandler

    The next interceptor in the chain, or the backend if no interceptors remain in the chain.

  #### Returns Observable<HttpEvent<any>>

  An observable of the event stream.

  Implementation of HttpInterceptor.intercept

  - Defined in firebase-app-check.http-interceptor.ts:42